Skip to main content

create new receiver. 🔐

POST 

/v3/groups/:group_id/receivers

create a new receiver

Carefully use the fields 'registered', 'activated' and 'deactivated':

- provide 'registered' with current time if receiver is new.
- provide 'activated' only for immedite activation (no DOI mail will work then).
- provide 'deactivated' other than 0 and your receiver will definitely be inactive.

Omission of all of those fields leads to an activated receiver ('registered' and 'activated' to current time)!

Example Post Data:
{
    "email":"bruce@gotham.com",
    "registered": "1118354400",
    "activated": "1118354400", // omit if receiver is to be activated later, e.g. DOI mail
    "deactivated": "0", // omit field unless you know what you are doing!
    "source":"Batcave Computer",
    "attributes": {
        "is_batman":"1"
    },
    "global_attributes": {
        "firstname":"Bruce",
        "lastname":"Wayne"
    },
    "tags": [ "hero", "rich", "smart" ],
    "orders": [
        {
            "order_id": "xyz123412",
            "product_id": "SN9876543",
            "product": "Batman - The Movie (DVD)",
            "price": 9.99,
            "currency": "EUR",
            "quantity": 1,
            "mailing_id": "12345678"
        },
        {
            "order_id": "xyz123411",
            "product_id": "SN9876542",
            "product": "Batman - The Soundtrack (CD)",
            "price": 9.99,
            "currency": "EUR",
            "quantity": 1,
            "mailing_id": "12345678"
        }
    ]
}

Request​

Responses​

the created receiver